Generation Framework

## org.eclipse.gmf.mappings.presentation
Class FilterUtil

    java.lang.Object
      org.eclipse.gmf.mappings.presentation.FilterUtil

    public class FilterUtil

extends java.lang.Object

Constructor Summary
`FilterUtil()`

Method Summary
`static java.util.List<org.eclipse.emf.ecore.EReference>` `filterByContainerMetaclass(java.util.Collection<org.eclipse.emf.ecore.EReference> eReferences, NodeReference nodeReference, boolean containmentOnly)`
`static java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `filterByContainerMetaclass(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> eReferences, MappingEntry mappingEntry)`
`static java.util.List<org.eclipse.emf.ecore.EClass>` `filterByContainmentFeature(java.util.Collection<org.eclipse.emf.ecore.EClass> eClasses, MappingEntry mappingEntry)`
`static java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature>` `filterByFeatureInitializer(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> features, FeatureInitializer featureInitializer)`
`static java.util.Collection<org.eclipse.emf.ecore.EClass>` `filterByFeatureSeqInitializer(java.util.Collection<org.eclipse.emf.ecore.EClass> eClasses, FeatureSeqInitializer featureSeqInitializer)`
`static java.util.Collection<org.eclipse.emf.ecore.EObject>` `filterByNodeMapping(java.util.Collection<org.eclipse.emf.ecore.EObject> compartments, ChildReference childReference)`
`static java.util.Collection<org.eclipse.emf.ecore.EObject>` `filterByNodeMapping(java.util.Collection<org.eclipse.emf.ecore.EObject> childReferences, CompartmentMapping mapping)`
`static java.util.List<org.eclipse.emf.ecore.EReference>` `filterByReferenceType(java.util.Collection<org.eclipse.emf.ecore.EReference> eReferences, LinkMapping linkMapping)`

`static

`<T extends org.eclipse.emf.ecore.EObject> java.util.List<T>`

`

`filterByResourceSet(java.util.Collection<T> eClasses, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`

`static java.util.Collection<?>` `filterBySuperClasses(java.util.Collection<?> instances, java.lang.Class<?>[] classes)`

`static

`<T> java.util.List<T>`

`

`sort(java.util.Collection<T> eObjects)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterUtil

    public FilterUtil()

Method Detail

### sort

    public static <T> java.util.List<T> sort(java.util.Collection<T> eObjects)

### filterByResourceSet

    public static <T extends org.eclipse.emf.ecore.EObject> java.util.List<T> filterByResourceSet(java.util.Collection<T> eClasses,
                                                                                                  org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

### filterByContainmentFeature

    public static java.util.List<org.eclipse.emf.ecore.EClass> filterByContainmentFeature(java.util.Collection<org.eclipse.emf.ecore.EClass> eClasses,
                                                                                          MappingEntry mappingEntry)

### filterByContainerMetaclass

    public static java.util.List<org.eclipse.emf.ecore.EStructuralFeature> filterByContainerMetaclass(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> eReferences,
                                                                                                      MappingEntry mappingEntry)

### filterByContainerMetaclass

    public static java.util.List<org.eclipse.emf.ecore.EReference> filterByContainerMetaclass(java.util.Collection<org.eclipse.emf.ecore.EReference> eReferences,
                                                                                              NodeReference nodeReference,
                                                                                              boolean containmentOnly)

### filterByReferenceType

    public static java.util.List<org.eclipse.emf.ecore.EReference> filterByReferenceType(java.util.Collection<org.eclipse.emf.ecore.EReference> eReferences,
                                                                                         LinkMapping linkMapping)

### filterByNodeMapping

    public static java.util.Collection<org.eclipse.emf.ecore.EObject> filterByNodeMapping(java.util.Collection<org.eclipse.emf.ecore.EObject> childReferences,
                                                                                          CompartmentMapping mapping)

### filterByNodeMapping

    public static java.util.Collection<org.eclipse.emf.ecore.EObject> filterByNodeMapping(java.util.Collection<org.eclipse.emf.ecore.EObject> compartments,
                                                                                          ChildReference childReference)

### filterBySuperClasses

    public static java.util.Collection<?> filterBySuperClasses(java.util.Collection<?> instances,
                                                               java.lang.Class<?>[] classes)

### filterByFeatureInitializer

    public static java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> filterByFeatureInitializer(java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature> features,
                                                                                                            FeatureInitializer featureInitializer)

### filterByFeatureSeqInitializer

    public static java.util.Collection<org.eclipse.emf.ecore.EClass> filterByFeatureSeqInitializer(java.util.Collection<org.eclipse.emf.ecore.EClass> eClasses,
                                                                                                   FeatureSeqInitializer featureSeqInitializer)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.